# Set-RASFarmSettings

### NAME

Set-RASFarmSettings\ <br>

### SYNOPSIS

Update RAS Farm settings.\ <br>

### SYNTAX

Set-RASFarmSettings \[-[EnableOverlayIcons](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#EnableOverlayIcons) *\<bool>*] \[-[NewName](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#NewName) *\<string>*] \[-[ReplicateSendHDIcons](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#ReplicateSendHDIcons) *\<bool>*] \[-[ReplicateURLRedirection](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#ReplicateURLRedirection) *\<bool>*] \[-[SendHDIcons](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#SendHDIcons) *\<bool>*] \[-[ShowPasswordExpiry](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#ShowPasswordExpiry) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#SiteId) *\<uint>*] \[-[TokenValidationExpireMin](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#TokenValidationExpireMin) *\<uint>*] \[-[URLBlackList](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#URLBlackList) *\<string\[]>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASFarmSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Update RAS Farm settings.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
The site ID.\
\
To obtain the ID of a desired site, use the Get-Sites cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NewName \<string>**\
The new name of the specified Farm name.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**URLBlackList \<string\[]>**\
Specifies the URL redirection black list.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SendHDIcons \<bool>**\
Enable or disable Sending HD Icons.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReplicateSendHDIcons \<bool>**\
Enable or disable replicate Sending HD Icons.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**EnableOverlayIcons \<bool>**\
Enable or disable Overlay Icons.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ShowPasswordExpiry \<bool>**\
Show or hide Password Expiry reminder.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReplicateURLRedirection \<bool>**\
Enable or disable replicate of URL redirection settings.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TokenValidationExpireMin \<uint>**\
Token Validation Time.\
\
The time for a validation token to expire in minutes.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASFarmSettings -NewName "MyFarm"\
\
Updates the RAS Farm name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasfarmsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
